package com.rc.httpcore.bean;

public class UserData {
    public String account;
    public String avatar;
    public Object isInitPasswd;
    public String license;
    public int tenantId;
    public String token;
    public String userId;
    public String userName;
    public int userType;
    public String cardNum;

    public UserValidationBean userValidationBean;


    public UserData(String account, String avatar, Object isInitPasswd, String license, int tenantId, String token, String userId, String userName, int userType, String cardNum) {
        this.account = account;
        this.avatar = avatar;
        this.isInitPasswd = isInitPasswd;
        this.license = license;
        this.tenantId = tenantId;
        this.token = token;
        this.userId = userId;
        this.userName = userName;
        this.userType = userType;
        this.cardNum = cardNum;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }

    public UserValidationBean getUserValidationBean() {
        return userValidationBean;
    }

    public void setUserValidationBean(UserValidationBean userValidationBean) {
        this.userValidationBean = userValidationBean;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public Object getIsInitPasswd() {
        return isInitPasswd;
    }

    public void setIsInitPasswd(Object isInitPasswd) {
        this.isInitPasswd = isInitPasswd;
    }

    public String getLicense() {
        return license;
    }

    public void setLicense(String license) {
        this.license = license;
    }

    public int getTenantId() {
        return tenantId;
    }

    public void setTenantId(int tenantId) {
        this.tenantId = tenantId;
    }

    public String getToken() {
        return token;
    }

    public void setToken(String token) {
        this.token = token;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public int getUserType() {
        return userType;
    }

    public void setUserType(int userType) {
        this.userType = userType;
    }

    public String getCardNum() {
        return cardNum;
    }

    public void setCardNum(String cardNum) {
        this.cardNum = cardNum;
    }
}
